Subject: bug#53698: 29.0.50; ibus input method of chinese with rime engine can't work in v27 and ibus candidate menu blink in v29

From: Po Lu <[email-masked]>
Date: Thu, 03 Feb 2022 20:09:03 +0800

Po Lu <[email-masked]> writes:

> It works here for me (Fedora 35, stock GNOME with IBus), but we do want
> to fix this problem and keep X input methods working as well as they
> used to.
>
> Do you see the same problem in other programs that use XIM, such as
> xterm?  If not, try placing:
>
>   Emacs.inputStyle: none
>
> in your X defaults file, and see if that solves the problem.
>
> Most of this is caused by a more fundamental problem: XIM is an obsolete
> interface with many limitations; most applications today rely on the
> authors of input method frameworks to provide input modules for their
> specific toolkit, and as a result the XIM backends for input method
> frameworks get very little testing and are buggy.
>
> Unfortunately, since we cannot demand that input method frame
                                                          ^^^^^

This was supposed to say "framework".

If the same problem exists in xterm, it's plausible that IBus broke
their XIM backend, which shows up in bleeding edge GNU/Linux
distributions such as Arch.